Subject: [IPsec] Éric Vyncke's No Objection on draft-ietf-ipsecme-qr-ikev2-10: (with COMMENT)

From: Éric Vyncke via Datatracker <[email-masked]>
Date: Fri, 03 Jan 2020 01:13:36 -0800

Éric Vyncke has entered the following ballot position for
draft-ietf-ipsecme-qr-ikev2-10: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ipsecme-qr-ikev2/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thank you for the work put into this document. I found it very interesting to
read BTW. I have only one minor non-blocking comment: please read RFC 8126 to
have a correct IANA section about "type 16435" (and others). Same applies for
section 5.1.

I hope that this helps to improve this document or any future one of yours,

Regards,

-éric

---

From: Tero Kivinen <[email-masked]>
Date: Sat, 4 Jan 2020 04:11:07 +0200

Éric Vyncke via Datatracker writes:
> Thank you for the work put into this document. I found it very
> interesting to read BTW. I have only one minor non-blocking comment:
> please read RFC 8126 to have a correct IANA section about "type
> 16435" (and others). Same applies for section 5.1.

As an IANA expert for those registries, I have no idea why you think
the IANA Section for them are not correct. What do you think is wrong
with them?

The 16435 number has already been allocated from the Status
notification registry by IANA, and as far I as understand the IANA
section for creating the "IKEv2 Post-quantum Preshared Key ID Types"
contains everything that is needed.
-- 
[email-masked]

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Sat, 4 Jan 2020 05:01:45 +0000

Hi Éric, 

To improve the IANA section a bit we followed the guidelines in RFC8126 more religiously and I am attaching the diff here. 

Let me know if there are more changes you would like to suggest for the IANA section. 

Rgs,
Panos

-----Original Message-----
From: IPsec <[email-masked]> On Behalf Of Éric Vyncke via Datatracker
Sent: Friday, January 03, 2020 4:14 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [IPsec] Éric Vyncke's No Objection on draft-ietf-ipsecme-qr-ikev2-10: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Thank you for the work put into this document. I found it very interesting to read BTW. I have only one minor non-blocking comment: please read RFC 8126 to have a correct IANA section about "type 16435" (and others). Same applies for section 5.1.

Regards,

-éric

_______________________________________________
IPsec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipsec

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Sat, 4 Jan 2020 08:06:06 +0000

Tero,

Indeed, I should have checked the IANA IKEv2 registry before writing my comment. The IANA table has already the relevant entries for USE_PPK and others (you probably asked separately before).

My bad, sorry about that

-éric

On 04/01/2020, 03:11, "iesg on behalf of Tero Kivinen" <[email-masked] on behalf of [email-masked]> wrote: